# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "lune-std-fs"
version = "0.2.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Lune standard library - FS"
readme = false
license = "MPL-2.0"
repository = "https://github.com/lune-org/lune"

[lib]
name = "lune_std_fs"
path = "src/lib.rs"

[dependencies.async-fs]
version = "2.1"

[dependencies.bstr]
version = "1.9"

[dependencies.futures-lite]
version = "2.6"

[dependencies.lune-std-datetime]
version = "0.2.1"

[dependencies.lune-utils]
version = "0.2.1"

[dependencies.mlua]
version = "0.10.3"
features = ["luau"]

[lints.clippy.all]
level = "deny"
priority = -3

[lints.clippy.cargo]
level = "warn"
priority = -2

[lints.clippy.cast_lossless]
level = "allow"
priority = 1

[lints.clippy.cast_possible_truncation]
level = "allow"
priority = 1

[lints.clippy.cast_possible_wrap]
level = "allow"
priority = 1

[lints.clippy.cast_precision_loss]
level = "allow"
priority = 1

[lints.clippy.cast_sign_loss]
level = "allow"
priority = 1

[lints.clippy.module_inception]
level = "allow"
priority = 1

[lints.clippy.module_name_repetitions]
level = "allow"
priority = 1

[lints.clippy.multiple_crate_versions]
level = "allow"
priority = 1

[lints.clippy.needless_pass_by_value]
level = "allow"
priority = 1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.clippy.similar_names]
level = "allow"
priority = 1

[lints.clippy.unnecessary_wraps]
level = "allow"
priority = 1

[lints.clippy.unnested_or_patterns]
level = "allow"
priority = 1

[lints.clippy.unreadable_literal]
level = "allow"
priority = 1

[lints.clippy.wildcard_imports]
level = "allow"
priority = 1
